Loading...
Searching...
No Matches
CBLAS_wrapper_blas_level_1.c File Reference
`#include <math.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <grass/gmath.h>`
`#include <cblas.h>`
Include dependency graph for CBLAS_wrapper_blas_level_1.c:

Go to the source code of this file.

## Functions

double | G_math_ddot (double *x, double *y, int rows)
| Compute the dot product of vector x and y using the CBLAS routine cblas_ddot.
float | G_math_sdsdot (float *x, float *y, float a, int rows)
| Compute the dot product of vector x and y using the CBLAS routine cblas_sdsdot.
double | G_math_dnrm2 (double *x, int rows)
| Compute the euclidean norm of vector x using the CBLAS routine cblas_dnrm2.
double | G_math_dasum (double *x, int rows)
| Compute the absolute sum norm of vector x using the CBLAS routine cblas_dasum.
double | G_math_idamax (double *x, int rows)
| Compute the maximum norm of vector x using the CBLAS routine cblas_idamax.
void | G_math_dscal (double *x, double a, int rows)
| Scale vector x with scalar a using the CBLAS routine cblas_dscal.
void | G_math_dcopy (double *x, double *y, int rows)
| Copy vector x to vector y.
void | G_math_daxpy (double *x, double *y, double a, int rows)
| Scale vector x with scalar a and add it to y.
float | G_math_sdot (float *x, float *y, int rows)
| Compute the dot product of vector x and y using the CBLAS routine cblas_sdot.
float | G_math_snrm2 (float *x, int rows)
| Compute the euclidean norm of vector x using the CBLAS routine cblas_dnrm2.
float | G_math_sasum (float *x, int rows)
| Compute the absolute sum norm of vector x using the CBLAS routine cblas_dasum.
float | G_math_isamax (float *x, int rows)
| Compute the maximum norm of vector x using the CBLAS routine cblas_idamax.
void | G_math_sscal (float *x, float a, int rows)
| Scale vector x with scalar a using the CBLAS routine cblas_dscal.
void | G_math_scopy (float *x, float *y, int rows)
| Copy vector x to vector y.
void | G_math_saxpy (float *x, float *y, float a, int rows)
| Scale vector x with scalar a and add it to y.

## Function Documentation

## G_math_dasum()

double G_math_dasum | ( | double * | x,
|  | int | rows )

Compute the absolute sum norm of vector x using the CBLAS routine cblas_dasum.

If grass was not compiled with CBLAS support it will call G_math_d_asum_norm, the OpenMP multi threaded grass implementatiom

Parameters

  x | (double *)
  rows | (int)

Returns
  (double)

Definition at line 123 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_asum_norm(), and x.

## G_math_daxpy()

void G_math_daxpy | ( | double * | x,
|  | double * | y,
|  | double | a,
|  | int | rows )

Scale vector x with scalar a and add it to y.

If grass was not compiled with CBLAS support it will call G_math_d_ax_by, the grass implementatiom

Parameters

  x | (double *)
  y | (double *)
  a | (double)
  rows | (int)

Returns
  (void)

Definition at line 225 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_ax_by(), and x.

## G_math_dcopy()

void G_math_dcopy | ( | double * | x,
|  | double * | y,
|  | int | rows )

Copy vector x to vector y.

If grass was not compiled with CBLAS support it will call G_math_d_copy

Parameters

  x | (double *)
  y | (double *)
  rows | (int)

Returns
  (void)

Definition at line 197 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_copy(), and x.

## G_math_ddot()

double G_math_ddot | ( | double * | x,
|  | double * | y,
|  | int | rows )

Compute the dot product of vector x and y using the CBLAS routine cblas_ddot.

If grass was not compiled with CBLAS support it will call G_math_f_x_dot_y, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  y | (float *)
  rows | (int)

Returns
  (double)

Definition at line 46 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_x_dot_y(), and x.

## G_math_dnrm2()

double G_math_dnrm2 | ( | double * | x,
|  | int | rows )

Compute the euclidean norm of vector x using the CBLAS routine cblas_dnrm2.

If grass was not compiled with CBLAS support it will call G_math_d_euclid_norm, the OpenMP multi threaded grass implementatiom

Parameters

  x | (double *)
  rows | (int)

Returns
  (double)

Definition at line 98 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_euclid_norm(), and x.

## G_math_dscal()

void G_math_dscal | ( | double * | x,
|  | double | a,
|  | int | rows )

Scale vector x with scalar a using the CBLAS routine cblas_dscal.

If grass was not compiled with CBLAS support it will call G_math_d_ax_by, the OpenMP multi threaded grass implementatiom

Parameters

  x | (double *)
  a | (double)
  rows | (int)

Returns
  (void)

Definition at line 174 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_ax_by(), and x.

## G_math_idamax()

double G_math_idamax | ( | double * | x,
|  | int | rows )

Compute the maximum norm of vector x using the CBLAS routine cblas_idamax.

If grass was not compiled with CBLAS support it will call G_math_d_max_norm, the OpenMP multi threaded grass implementatiom

Parameters

  x | (double *)
  rows | (int)

Returns
  (double)

Definition at line 148 of file CBLAS_wrapper_blas_level_1.c.

References G_math_d_max_norm(), and x.

## G_math_isamax()

float G_math_isamax | ( | float * | x,
|  | int | rows )

Compute the maximum norm of vector x using the CBLAS routine cblas_idamax.

If grass was not compiled with CBLAS support it will call G_math_f_max_norm, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  rows | (int)

Returns
  (float)

Definition at line 331 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_max_norm(), and x.

## G_math_sasum()

float G_math_sasum | ( | float * | x,
|  | int | rows )

Compute the absolute sum norm of vector x using the CBLAS routine cblas_dasum.

If grass was not compiled with CBLAS support it will call G_math_f_asum_norm, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  rows | (int)

Returns
  (float)

Definition at line 306 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_asum_norm(), and x.

## G_math_saxpy()

void G_math_saxpy | ( | float * | x,
|  | float * | y,
|  | float | a,
|  | int | rows )

Scale vector x with scalar a and add it to y.

If grass was not compiled with CBLAS support it will call G_math_f_ax_by, the grass implementatiom

Parameters

  x | (float *)
  y | (float *)
  a | (float)
  rows | (int)

Returns
  (void)

Definition at line 409 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_ax_by(), and x.

## G_math_scopy()

void G_math_scopy | ( | float * | x,
|  | float * | y,
|  | int | rows )

Copy vector x to vector y.

If grass was not compiled with CBLAS support it will call G_math_f_copy, the grass implementatiom

Parameters

  x | (float *)
  y | (float *)
  rows | (int)

Returns
  (void)

Definition at line 381 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_copy(), and x.

## G_math_sdot()

float G_math_sdot | ( | float * | x,
|  | float * | y,
|  | int | rows )

Compute the dot product of vector x and y using the CBLAS routine cblas_sdot.

If grass was not compiled with CBLAS support it will call G_math_f_x_dot_y, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  y | (float *)
  rows | (int)

Returns
  (float)

Definition at line 256 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_x_dot_y(), and x.

## G_math_sdsdot()

float G_math_sdsdot | ( | float * | x,
|  | float * | y,
|  | float | a,
|  | int | rows )

Compute the dot product of vector x and y using the CBLAS routine cblas_sdsdot.

If grass was not compiled with CBLAS support it will call G_math_f_x_dot_y, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  y | (float *)
  a | (float)
  rows | (int)

Returns
  (float)

Definition at line 73 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_x_dot_y(), and x.

## G_math_snrm2()

float G_math_snrm2 | ( | float * | x,
|  | int | rows )

Compute the euclidean norm of vector x using the CBLAS routine cblas_dnrm2.

If grass was not compiled with CBLAS support it will call G_math_f_euclid_norm, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  rows | (int)

Returns
  (float)

Definition at line 281 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_euclid_norm(), and x.

## G_math_sscal()

void G_math_sscal | ( | float * | x,
|  | float | a,
|  | int | rows )

Scale vector x with scalar a using the CBLAS routine cblas_dscal.

If grass was not compiled with CBLAS support it will call G_math_f_ax_by, the OpenMP multi threaded grass implementatiom

Parameters

  x | (float *)
  a | (float)
  rows | (int)

Returns
  (float)

Definition at line 357 of file CBLAS_wrapper_blas_level_1.c.

References G_math_f_ax_by(), and x.